/**
 * Customizations by Jelle
 */

body.admin-bar div.top-menu {
    top: 32px;
}

div.top-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 90px;
    background-color: white;
    z-index: 100;
}

div.top-menu a.home {
    display: inline-block;
    line-height: 60px;
}

div.top-menu ul.icons {
    line-height: 90px;
    margin: 0;
    padding: 0;
}

div.top-menu ul.icons div, div.top-menu ul.icons li {
    line-height: 0;
    vertical-align: middle;
}

div.top-menu a.home svg {
    vertical-align: middle;
}

div.top-menu ul.icons {
    float: right;
    list-style: none;
}

div.top-menu li {
    display: inline-block;
}

div.top-menu div.menu-language-container {
    display: inline-block;
}

div.top-menu nav {
    display: inline-block;
    line-height: 28px;
    padding-top: 28px;
}

div.top-menu nav ul {
    display: inline-block;
    margin: 0;
    padding: 0;
}

div.top-menu nav ul.menu > li.first-child a {
    margin: 0;
}

div.top-menu nav ul.menu li a {
    margin-left: 20px;
    margin-right: 20px;
    padding: 5px;
}

div.top-menu nav ul.menu li a:hover,
div.top-menu nav ul.menu li a:focus {
    text-decoration: underline;
    color: #C700BF;
}

div.top-menu nav ul.menu li a:focus {
    border: solid;
    color: #C700BF;
    border-width: 2px;
    border-radius: 20px;
}

div.top-menu nav ul li {
    display: inline-block;
    margin: 0;
    padding: 0;
    position: relative;
}

div.top-menu nav ul li.menu-item-has-children > a::after {
    content: "";
    display: inline-block;
    width: 10px;
    height: 10px;
    margin-left: 5px;
    vertical-align: top;
    border-bottom-style: solid;
    border-right-style: solid;
    border-bottom-width: 1px;
    border-right-width: 1px;
    border-color: #333;
    transform: rotate(45deg);
    transform-origin: 100% 100%;
}

div.top-menu nav ul.sub-menu {
    display: none;
    position: absolute;
    left: 0;
    top: 30px;
    width: 300px;
    height: auto;
    padding: 25px;
    background-color: white;
}

div.top-menu nav ul.menu > li ul.sub-menu.focused {
}

div.top-menu nav ul.sub-menu li {
    display: block;
    margin-left: 0;
    margin-bottom: 15px;
    text-align: left;
    width: 100%;
}

div.top-menu nav ul.sub-menu a {
    display: block;
}

div.top-menu nav ul.sub-menu li:last-child {
    margin-bottom: 0;
}



div.top-menu nav a {
    display: inline-block;
    font-size: 14px;
    font-weight: bold;
    text-transform: uppercase;
}

div.top-menu nav a {
    color: black;
    text-decoration: none;
}

div.top-menu nav a.active,
div.top-menu nav a:hover {
}

div.top-menu nav ul.menu > li:last-child a {
    border-radius: 20px;
    box-sizing: border-box;
    padding: 0 25px;
}

div.top-menu a.menu-toggle {
    display: none;
    float: right;
    color: black;
    font-size: 40px;
    box-sizing: border-box;
    line-height: 30px;
    margin-left: 20px;
    margin-right: 5px;
}

div.top-menu ul.languageswitch {
    padding: 0;
}

div.top-menu div.full.grid-container {
    clear: both;
}

div.top-menu a.menu-toggle {
    display: none;
    color: black;
    font-size: 40px;
    box-sizing: border-box;
    margin-top: -10px;
}


@media (min-width: 801px) {
    div.top-menu nav ul.menu > li:hover ul.sub-menu,
    div.top-menu nav ul.menu > li:focus ul.sub-menu,
    div.top-menu nav ul.menu > li:focus-within ul.sub-menu {
        display: block;
    }
}

@media (max-width: 800px){
    div.top-menu a.menu-toggle {
        display: inline-block;
    }

    div.top-menu a.home {
        margin-top: 12px;
    }

    div.top-menu nav {
        display: none;
        position: fixed;
        top: 100px;
        left: 0;
        width: 100%;
        background-color: white;
        padding: 5px 5px 10px 5px;
        text-align: center;
    }

    div.top-menu nav.toggled {
        display: inline-block;
        overflow: scroll;
        max-height: calc(100vh - 100px);
    }

    div.top-menu nav.toggled ul > li:last-child {
        margin-bottom: 20px;
    }

    div.top-menu nav ul.sub-menu {
        position: relative;
        display: none;
        position: static;
        width: auto;
        padding: 0;
        margin-left: 30px;
        text-align: right;
    }

    div.top-menu nav ul.menu > li ul.sub-menu {
        display: none;
    }

    div.top-menu nav ul.menu > li ul.sub-menu.focused {
       display: block;
    }

    div.top-menu nav ul.sub-menu a::before {
        content: '- ';
        display: inline;
    }

    div.top-menu nav ul li, div.top-menu nav ul.sub-menu li {
        display: block;
        margin-left: 0;
        margin-top: 20px;
    }

    div.top-menu nav ul.sub-menu li {
        text-align: left;
        padding-left: 50px;
    }
}
